'''
    This script counts how many instances of each class
    (positive - negative - objective) each dataset contains
'''

import csv

STATS = 'stats file (txt)'
DATA = ['first dataset', 'second dataset', '...']

open(STATS, 'w').close()

with open(STATS, 'a') as stats:
    for dataSet in DATA:
        with open(dataSet, 'r') as file:
            reader = csv.reader(file, delimiter=';')
            next(reader)
            posCount = 0
            objCount = 0
            negCount = 0
            
            for row in reader:
                if row[1] == 'positive':
                    posCount += 1
                elif row[1] == '': # if the label is 'objective'
                    objCount += 1
                elif row[1] == 'negative':
                    negCount += 1
          
            stats.write( '{0}\n\tpos = {1}\n\tobj = {2}\n\tneg = {3}\n\n'.format(dataSet, posCount, objCount, negCount))
