'''
This script counts how many instances of each class each dataset contains
'''

import csv

STATS = 'stats file (txt)'
DATA = ['first dataset', 'second dataset', '...']

open(STATS, 'w').close()

with open(STATS, 'a') as stats:
    for dataSet in DATA:
        with open(dataSet, 'r') as inFile:
            reader = csv.reader(inFile, delimiter=';')
            next(reader) # skip header

            # counters
            obj = 0
            subj = 0
            pos = 0
            neg = 0
            love = 0
            joy = 0
            surprise = 0
            anger = 0
            sadness = 0
            fear = 0
           
            for row in reader:
                if row[0] == 'objective':
                    obj += 1
                if row[0] == 'subjective':
                    subj += 1
                if row[0] == 'positive':
                    pos += 1
                if row[0] == 'negative':
                    neg += 1
                if row[0] == 'love':
                    love += 1
                if row[0] == 'joy':
                    joy += 1
                if row[0] == 'surprise':
                    surprise += 1
                if row[0] == 'anger':
                    anger += 1
                if row[0] == 'sadness':
                    sadness += 1
                if row[0] == 'fear':
                    fear += 1
       
    
            stats.write('obj = {0}\nsubj = {1}\npos = {2}\nneg = {3}\nlove = {4}\njoy = {5}\nsurprise = {6}\nanger = {7}\nsadness = {8}\nfear = {9}\n'.format(
                obj, subj, pos, neg, love, joy, surprise, anger, sadness, fear))
    
